V0 - Manage values
Replaces or extends the values on a custom dimension’s list. Send the request body with the full intended value set; the server reconciles against the existing values, matching by external id where applicable. Use this from integrations that sync dimension catalogs (e.g. cost-center lists) from an external system.
PUT
/
organizations
/
externalid
/
{externalId}
/
customdimensions
/
{definitionExternalId}
/
list
V0 - Manage values
curl --request PUT \
--url https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/{definitionExternalId}/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"id": "4028812f65a9e76f0165a9f24bbc0000",
"value": "12345 - Proj 1",
"sortOrder": "0",
"startDate": "2023-12-31T00:00:00Z",
"endDate": "2024-01-31T00:00:00Z",
"tag": "Tag"
}
]
'import requests
url = "https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/{definitionExternalId}/list"
payload = [
{
"id": "4028812f65a9e76f0165a9f24bbc0000",
"value": "12345 - Proj 1",
"sortOrder": "0",
"startDate": "2023-12-31T00:00:00Z",
"endDate": "2024-01-31T00:00:00Z",
"tag": "Tag"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
id: '4028812f65a9e76f0165a9f24bbc0000',
value: '12345 - Proj 1',
sortOrder: '0',
startDate: '2023-12-31T00:00:00Z',
endDate: '2024-01-31T00:00:00Z',
tag: 'Tag'
}
])
};
fetch('https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/{definitionExternalId}/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/{definitionExternalId}/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
[
'id' => '4028812f65a9e76f0165a9f24bbc0000',
'value' => '12345 - Proj 1',
'sortOrder' => '0',
'startDate' => '2023-12-31T00:00:00Z',
'endDate' => '2024-01-31T00:00:00Z',
'tag' => 'Tag'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/{definitionExternalId}/list"
payload := strings.NewReader("[\n {\n \"id\": \"4028812f65a9e76f0165a9f24bbc0000\",\n \"value\": \"12345 - Proj 1\",\n \"sortOrder\": \"0\",\n \"startDate\": \"2023-12-31T00:00:00Z\",\n \"endDate\": \"2024-01-31T00:00:00Z\",\n \"tag\": \"Tag\"\n }\n]")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/{definitionExternalId}/list")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"id\": \"4028812f65a9e76f0165a9f24bbc0000\",\n \"value\": \"12345 - Proj 1\",\n \"sortOrder\": \"0\",\n \"startDate\": \"2023-12-31T00:00:00Z\",\n \"endDate\": \"2024-01-31T00:00:00Z\",\n \"tag\": \"Tag\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/{definitionExternalId}/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"id\": \"4028812f65a9e76f0165a9f24bbc0000\",\n \"value\": \"12345 - Proj 1\",\n \"sortOrder\": \"0\",\n \"startDate\": \"2023-12-31T00:00:00Z\",\n \"endDate\": \"2024-01-31T00:00:00Z\",\n \"tag\": \"Tag\"\n }\n]"
response = http.request(request)
puts response.read_body{
"listKey": "CUSTOM_DIMENSIONS_a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4_8ab28cb36ccde07d016ccdfb47d00216",
"lastUpdated": "2026-05-28T14:35:00Z"
}{
"result": "error",
"description": "custom field list not found"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The external source id of the organization
The external definition of the Definition
Body
application/json
Response
OK
Last modified on August 31, 2026
⌘I
V0 - Manage values
curl --request PUT \
--url https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/{definitionExternalId}/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"id": "4028812f65a9e76f0165a9f24bbc0000",
"value": "12345 - Proj 1",
"sortOrder": "0",
"startDate": "2023-12-31T00:00:00Z",
"endDate": "2024-01-31T00:00:00Z",
"tag": "Tag"
}
]
'import requests
url = "https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/{definitionExternalId}/list"
payload = [
{
"id": "4028812f65a9e76f0165a9f24bbc0000",
"value": "12345 - Proj 1",
"sortOrder": "0",
"startDate": "2023-12-31T00:00:00Z",
"endDate": "2024-01-31T00:00:00Z",
"tag": "Tag"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
id: '4028812f65a9e76f0165a9f24bbc0000',
value: '12345 - Proj 1',
sortOrder: '0',
startDate: '2023-12-31T00:00:00Z',
endDate: '2024-01-31T00:00:00Z',
tag: 'Tag'
}
])
};
fetch('https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/{definitionExternalId}/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/{definitionExternalId}/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
[
'id' => '4028812f65a9e76f0165a9f24bbc0000',
'value' => '12345 - Proj 1',
'sortOrder' => '0',
'startDate' => '2023-12-31T00:00:00Z',
'endDate' => '2024-01-31T00:00:00Z',
'tag' => 'Tag'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/{definitionExternalId}/list"
payload := strings.NewReader("[\n {\n \"id\": \"4028812f65a9e76f0165a9f24bbc0000\",\n \"value\": \"12345 - Proj 1\",\n \"sortOrder\": \"0\",\n \"startDate\": \"2023-12-31T00:00:00Z\",\n \"endDate\": \"2024-01-31T00:00:00Z\",\n \"tag\": \"Tag\"\n }\n]")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/{definitionExternalId}/list")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"id\": \"4028812f65a9e76f0165a9f24bbc0000\",\n \"value\": \"12345 - Proj 1\",\n \"sortOrder\": \"0\",\n \"startDate\": \"2023-12-31T00:00:00Z\",\n \"endDate\": \"2024-01-31T00:00:00Z\",\n \"tag\": \"Tag\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/{definitionExternalId}/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"id\": \"4028812f65a9e76f0165a9f24bbc0000\",\n \"value\": \"12345 - Proj 1\",\n \"sortOrder\": \"0\",\n \"startDate\": \"2023-12-31T00:00:00Z\",\n \"endDate\": \"2024-01-31T00:00:00Z\",\n \"tag\": \"Tag\"\n }\n]"
response = http.request(request)
puts response.read_body{
"listKey": "CUSTOM_DIMENSIONS_a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4_8ab28cb36ccde07d016ccdfb47d00216",
"lastUpdated": "2026-05-28T14:35:00Z"
}{
"result": "error",
"description": "custom field list not found"
}
